git ssb

1+

Daan Patchwork / manyverse



Commit 2d91135799007b4a2ceaf8b4176a547e5a8eedbc

dx: add changelog file automation

Andre Staltz committed on 9/27/2018, 5:20:58 PM
Parent: 412ea2455632354aaefb028111a18a25d5fdac4f

Files changed

package-lock.jsonchanged
package.jsonchanged
tools/commit-after-releasedeleted
tools/commit-releaseadded
tools/generate-changelog.jsadded
tools/update-dat-latest-readme.jsadded
tools/update-repo-changelog.jsadded
CHANGELOG.mdadded
package-lock.jsonView
The diff is too large to show. Use a local git client to view these changes.
Old file size: 951714 bytes
New file size: 987313 bytes
package.jsonView
@@ -14,12 +14,15 @@
1414 "build-android-debug": "npm run build-android-assets && react-native run-android",
1515 "build-android-release": "npm run build-android-assets && cd android && ./gradlew assembleRelease && cd ..",
1616 "start": "npm run lib && npm run propagate-replacements && node node_modules/react-native/local-cli/cli.js start",
1717 "test-e2e-android": "./tools/test-e2e-android",
18+ "changelog": "npm run update-repo-changelog && npm run update-dat-latest-readme",
19+ "update-repo-changelog": "./tools/update-repo-changelog.js",
20+ "update-dat-latest-readme": "./tools/update-dat-latest-readme.js",
1821 "update-version": "./tools/update-version.js",
1922 "dat-release": "./tools/dat-release",
20- "commit-after-release": "./tools/commit-after-release",
21- "release": "npm run update-version && npm run clean-bundler && npm run clean-android && npm run build-android-release && npm run test-e2e-android && npm run dat-release && npm run commit-after-release"
23+ "commit-release": "./tools/commit-release",
24+ "release": "npm run update-version && npm run clean-bundler && npm run clean-android && npm run build-android-release && npm run test-e2e-android && npm run changelog && npm run commit-release && npm run dat-release"
2225 },
2326 "dependencies": {
2427 "@cycle/isolate": "3.4",
2528 "@cycle/react": "1.3.4",
@@ -86,11 +89,14 @@
8689 "xstream-from-pull-stream": "1.1",
8790 "xstream-sample": "1.0.0"
8891 },
8992 "devDependencies": {
93+ "add-stream": "~1.0.0",
9094 "appium": "1.7.2",
9195 "babel-preset-react-native": "4.0.0",
9296 "cheerio": "^1.0.0-rc.2",
97+ "conventional-changelog": "~2.0.3",
98+ "into-stream": "~3.1.0",
9399 "jase": "1.2.0",
94100 "left-pad": "1.3.0",
95101 "patch-package": "^5.1.1",
96102 "prettier": "1.5.x",
tools/commit-after-releaseView
@@ -1,14 +1,0 @@
1-#!/bin/bash
2-set -eEu -o pipefail
3-shopt -s extdebug
4-IFS=$'\n\t'
5-trap 'onFailure $?' ERR
6-
7-function onFailure() {
8- echo "Unhandled script error $1 at ${BASH_SOURCE[0]}:${BASH_LINENO[0]}" >&2
9- exit 1
10-}
11-
12-git add -A
13-git commit -m "release: $(cat package.json | $(npm bin)/jase version)"
14-git tag v$(cat package.json | $(npm bin)/jase version)
tools/commit-releaseView
@@ -1,0 +1,14 @@
1+#!/bin/bash
2+set -eEu -o pipefail
3+shopt -s extdebug
4+IFS=$'\n\t'
5+trap 'onFailure $?' ERR
6+
7+function onFailure() {
8+ echo "Unhandled script error $1 at ${BASH_SOURCE[0]}:${BASH_LINENO[0]}" >&2
9+ exit 1
10+}
11+
12+git add -A
13+git commit -m "release: $(cat package.json | $(npm bin)/jase version)"
14+git tag v$(cat package.json | $(npm bin)/jase version)